Bug 136293 - Invalid RPATH in build/scripts/kconfig/conf
Invalid RPATH in build/scripts/kconfig/conf
Status: CLOSED NOTABUG
Product: Fedora
Classification: Fedora
Component: kernel (Show other bugs)
rawhide
All Linux
medium Severity low
: ---
: ---
Assigned To: Dave Jones
Brian Brock
:
Depends On:
Blocks:
  Show dependency treegraph
 
Reported: 2004-10-19 04:29 EDT by Warren Togami
Modified: 2015-01-04 17:10 EST (History)
2 users (show)

See Also:
Fixed In Version:
Doc Type: Bug Fix
Doc Text:
Story Points: ---
Clone Of:
Environment:
Last Closed: 2004-11-27 17:58:26 EST
Type: ---
Regression: ---
Mount Type: ---
Documentation: ---
CRM:
Verified Versions:
Category: ---
oVirt Team: ---
RHEL 7.3 requirements from Atomic Host:
Cloudforms Team: ---


Attachments (Terms of Use)

  None (edit)
Description Warren Togami 2004-10-19 04:29:27 EDT
Description of problem:
extracting debug info from
/var/tmp/kernel-2.6.9-1.635O2-root/lib/modules/2.6.9-1.635O2smp/build/scripts/conmakehash
cpio: kernel-2.6.9/linux-2.6.9/<internal>: No such file or directory
106125 blocks
+ /usr/lib/rpm/check-rpaths /usr/lib/rpm/check-buildroot
File '/lib/modules/2.6.9-1.635O2smp/build/scripts/kconfig/conf'
contains an invalid rpath '$ORIGIN'
error: Bad exit status from /var/tmp/rpm-tmp.24682 (%install)

http://cvs.fedora.us/cgi-bin/cvsweb.cgi/pkg/fedora-rpmdevtools/check-rpaths
fedora-rpmdevtools optional check-rpaths script detected this invalid
RPATH after building the kernel RPM.

Version-Release number of selected component (if applicable):
kernel-2.6.9-1.636
Comment 1 Warren Togami 2004-11-27 17:58:26 EST
Enrico Scholz mentioned that this is probably a bug in an earlier version of
check-rpath.

Note You need to log in before you can comment on or make changes to this bug.